function  rn  = sellmeier(a,wvln)
% SELLMEIER  
% 
%    SELLMEIER(A,WVLN) returns a matrix whose elements are the
%                   refractive indices calculated using the Sellmeier
%                   dispersion formula.
%
%     SELLMEIER(A)     returns the refractive index at 0.58756 (n_d) 
%  
%          A     vector of Sellmeier coefficients
%       WVLN     vector of wavelengths (microns)
%
%
 if (nargin<2) 
    wvln = [0.58756];
 end
 ws = wvln.*wvln;
 rn = sqrt(1.0+a(1)*ws./(ws-a(4))+ a(2)*ws./(ws-a(5))+a(3)*ws./(ws-a(6)));
